Package org.springframework.util

# Interface StringValueResolver

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface StringValueResolver
Simple strategy interface for resolving a String value. Used by `org.springframework.beans.factory.config.ConfigurableBeanFactory`.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  - `org.springframework.beans.factory.config.ConfigurableBeanFactory#resolveAliases`
  - `org.springframework.beans.factory.config.BeanDefinitionVisitor#BeanDefinitionVisitor(StringValueResolver)`

## Method Summary

Modifier and Type
Method
Description
`String`
`resolveStringValue(String strVal)`
Resolve the given String value, for example parsing placeholders.

## Method Details

### resolveStringValue

@Nullable String resolveStringValue(String strVal)
Resolve the given String value, for example parsing placeholders.

Parameters:
  `strVal` - the original String value (never `null`)
Returns:
  the resolved String value (may be `null` when resolved to a null value), possibly the original String value itself (in case of no placeholders to resolve or when ignoring unresolvable placeholders)
Throws:
  `IllegalArgumentException` - in case of an unresolvable String value